net.corda.node.services.transactions

## Class ReplicaResponse.Signature

- net.corda.node.services.transactions.BFTSMaRt.ReplicaResponse
- - net.corda.node.services.transactions.BFTSMaRt.ReplicaResponse.Signature

- Enclosing class:
    BFTSMaRt.ReplicaResponse

      public static class ReplicaResponse.Signature
      extends BFTSMaRt.ReplicaResponse

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.node.services.transactions.BFTSMaRt.ReplicaResponse

      `ReplicaResponse.Error, ReplicaResponse.Signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Signature(DigitalSignature txSignature)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DigitalSignature` | `getTxSignature()`

- - ### Constructor Detail

    - #### Signature

          public Signature(DigitalSignature txSignature)

  - ### Method Detail

    - #### getTxSignature

          public DigitalSignature getTxSignature()